<?php

namespace Nest\Cli;

use Nest\Exceptions\Cli\Command\InvalidCommandHandlerException;
use Nest\Exceptions\Cli\IncompatibleCliHandlerSubcommands;
use Nest\Services\ServiceConfiguration;

/**
 * CLI configuration class.
 */
abstract class CliConfiguration extends ServiceConfiguration
{
	/**
	 * Define commands of the CLI.
	 * @param Cli $cli The CLI to configure.
	 * @return void
	 * @throws InvalidCommandHandlerException
	 * @throws IncompatibleCliHandlerSubcommands
	 */
	public abstract function define(Cli $cli): void;
}
